;; Keybinds

(global-set-key (kbd "C-.") #'other-window)
(global-set-key (kbd "C-,") #'prev-window)

(defun prev-window ()
  (interactive)
  (other-window -1))

;; Allow arrow meta-arrow to move between windows.
(windmove-default-keybindings 'meta)

;; Force C-x C-b to ibuffer
(global-set-key (kbd "C-x C-b") 'ibuffer)

;; Treemacs (will start new project if none exists)
(global-set-key (kbd "M-t") 'treemacs)
(global-set-key (kbd "M-p r") 'treemacs-refresh)

;; Use projectile find file to help
;; with larger projects.
(global-set-key (kbd "C-x f") 'projectile--find-file)
